package main

import (
	"fmt"
	"net"
	"time"
)

var testData = [][]byte{
	{64, 1, 24, 7, 11, 13, 49, 17, 0, 0, 1, 1, 0, 0, 1, 2, 50, 195, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 191, 161, 186, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{64, 0, 24, 7, 11, 13, 49, 18, 0, 0, 1, 1, 0, 0, 1, 2, 50, 195, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 191, 161, 186, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{64, 1, 24, 7, 11, 13, 49, 19, 0, 0, 1, 1, 0, 0, 1, 2, 50, 195, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 191, 161, 186, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{64, 0, 24, 7, 11, 13, 49, 20, 0, 0, 1, 1, 0, 0, 1, 2, 50, 195, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 191, 161, 186, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
}

func main() {
	listener, err := net.Listen("tcp", ":12345")
	if err != nil {
		fmt.Println("Error starting server:", err)
		return
	}
	defer listener.Close()

	fmt.Println("Mock server listening on :12345")

	for {
		conn, err := listener.Accept()
		if err != nil {
			fmt.Println("Error accepting connection:", err)
			continue
		}
		go handleConnection(conn)
	}
}

func handleConnection(conn net.Conn) {
	defer conn.Close()
	fmt.Println("New client connected")

	for {
		for _, data := range testData {
			_, err := conn.Write(data)
			if err != nil {
				fmt.Println("Error sending data:", err)
				return
			}
			fmt.Printf("Sent data: %v\n", data)
			time.Sleep(5 * time.Second) // 5초 간격으로 데이터 전송
		}
	}
}
